> For the complete documentation index, see [llms.txt](https://docs.console.zenlayer.com/api-reference/llms.txt). Markdown versions of documentation pages are available by appending `.md` to page URLs; this page is available as [Markdown](https://docs.console.zenlayer.com/api-reference/cn/platform-service/user/permission/describepermissions.md).

# DescribePermissions

## 1. 接口描述

本接口(DescribePermissions)用于查询权限列表。用户可以根据成员ID、策略名称、成员组等信息来搜索权限信息。

## 2. 请求参数

以下请求参数列表仅列出了接口中需要的请求参数

| 参数名称              | 必选 | 类型      | 描述                                                                  |
| ----------------- | -- | ------- | ------------------------------------------------------------------- |
| policyName        | 否  | String  | 访问策略名称。                                                             |
| resourceGroupName | 否  | String  | 资源组名称。                                                              |
| resourceGroupId   | 否  | String  | 资源组唯一ID。                                                            |
| userUid           | 否  | String  | 用户唯一ID。                                                             |
| allResource       | 否  | Integer | <p>是否为全部资源。</p><p>1：是；0：否。</p>                                      |
| memberGroupName   | 否  | String  | 用户组名称。                                                              |
| memberGroupId     | 否  | String  | 用户组唯一ID。                                                            |
| associated        | 否  | String  | <p>权限类别 成员或者成员组 默认查询全部。</p><p>成员：BY\_SELF，成员组：BY\_MEMBER\_GROUP</p> |
| order             | 否  | Integer | <p>按时间排序默认1。</p><p>1：顺序，0：倒序。</p>                                   |
| pageNum           | 否  | Integer | <p>分页数。</p><p>默认值：1</p>                                             |
| pageSize          | 否  | Integer | <p>分页大小。</p><p>默认值：20</p>                                           |

## 3. 响应结果

| 参数名称       | 类型                                                                                         | 描述                                                       |
| ---------- | ------------------------------------------------------------------------------------------ | -------------------------------------------------------- |
| requestId  | String                                                                                     | <p>唯一请求 ID。</p><p>每次请求都会返回。定位问题时需要提供该次请求的 requestId。</p> |
| totalCount | Integer                                                                                    | 符合条件的数据总数。                                               |
| dataSet    | Array of [Permission](/api-reference/cn/platform-service/user/datastructure.md#permission) | 权限列表信息。                                                  |

## 4. 代码示例

{% tabs %}
{% tab title="示例" %}
**1. 查询权限列表。**

```json
POST /api/v2/user HTTP/1.1
Host: console.zenlayer.com
Content-Type: application/json
X-ZC-Action: DescribePermissions
<Common Request Params>

Request：
{
  "policyName": "policyName",
  "resourceGroupName": "resourceGroupName",
  "resourceGroupId": "resourceGroupId",
  "userUid": "userUid",
  "username": "username",
  "realName": "realName",
  "allResource": 1,
  "memberGroupName": "memberGroupName",
  "memberGroupId": "memberGroupId",
  "associated": "USER_GROUP",
  "order": 1,
  "pageNum": 1,
  "pageSize": 20
}

Response：
{
  "requestId": "T05992D0C-7E8B-4047-B0C0-780F2CD549D4",
  "response": {
    "requestId": "T05992D0C-7E8B-4047-B0C0-780F2CD549D4",
    "totalCount": 1,
    "dataSet": [
                  {
                    "permissionId": "permissionId",
                    "resourceGroupId": "resourceGroupId",
                    "allResource": 1,
                    "userUid": "userUid",
                    "createTime": "2025-09-08T12:00:00Z",
                    "resourceGroupName": "resourceGroupName",
                    "policyId": "policyId",
                    "policyName": "policyName",
                    "policyDesc": "policyDesc",
                    "firstName": "firstName",
                    "lastName": "lastName",
                    "username": "username",
                    "memberGroupName": "memberGroupName",
                    "memberGroupId": "memberGroupId",
                    "associated": "USER_GROUP"
                  }
              ]
  }
}
```

{% endtab %}
{% endtabs %}

## 5. 开发者工具

Zenlayer Cloud API 2.0 提供了配套的[开发工具集（SDK）](/api-reference/cn/api-introduction/toolkit.md)，未来会陆续支持更多开发语言，方便快速接入和使用Zenlayer的产品和服务。

## 6. 错误码

下面包含业务逻辑中遇到的错误码，其他错误码见[公共错误码](/api-reference/cn/api-introduction/instruction/commonerrorcode.md)

| HTTP状态码 | 错误码 | 说明 |
| ------- | --- | -- |
